<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button defaultHref="tabs"></ion-back-button>
        </ion-buttons>
        <ion-title>Hospitals</ion-title>
        <ion-buttons slot="end">
            <ion-button>
                <img src="assets/imgs/icn-more.svg" alt="">
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
    <div class="search-holder">
        <ion-searchbar class="zero-padding" placeholder="Search" [(ngModel)]="searchKey" mode="ios"></ion-searchbar>
    </div>

    <div class="section" *ngFor="let index of [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12,13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]">
        <div class="section-title">
            <ion-row>
                <ion-col class="ion-text-left">
                    <h4>{{getDistrictName(index)}}</h4>
                </ion-col>
                <!-- <ion-col class="ion-text-right title-check-box">
                    <ion-checkbox color="dark" [(ngModel)]="fullDistrictSelection[index]" (ionChange)="selectUnselectAllHospitals(index)" mode="ios">
                    </ion-checkbox>
                </ion-col> -->
            </ion-row>
        </div>
        <div class="the-list">
            <ion-item *ngFor="let hospital of getHospitalByDistrict(index) | filter:searchKey">
                <ion-avatar slot="start">
                    <img src="assets/imgs/yogie.png" alt="">
                </ion-avatar>
                <ion-label>
                    <h5 class="ion-text-wrap">{{hospital.name}}</h5>
                </ion-label>
                <div class="end-slot" slot="end">
                    <ion-checkbox mode="ios" slot="start" (ionChange)="onHospitalSelectUnselect(hospital)" [disabled]="hospital?.isDisabled" [(ngModel)]='hospital.isSelected'></ion-checkbox>
                </div>
            </ion-item>
        </div>
    </div>

    <!-- fab placed to the bottom end -->
    <ion-fab vertical="bottom" horizontal="center" slot="fixed">
        <ion-fab-button (click)="confirmSelection()">OK</ion-fab-button>
    </ion-fab>
</ion-content>